Search for query

  1. Search 7.x for query
  2. Search 9.5.x for query
  3. Search 8.9.x for query
  4. Search 10.3.x for query
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Query class core/modules/workspaces/src/EntityQuery/Query.php Alters entity queries to use a workspace revision instead of the default one.
Query class core/lib/Drupal/Core/Config/Entity/Query/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Database/Query/Query.php Base class for query builders.
Query class core/lib/Drupal/Core/Entity/Query/Sql/Query.php The SQL storage entity query class.
Query class core/lib/Drupal/Core/Entity/Query/Null/Query.php Defines the entity query for configuration entities.
Query class core/lib/Drupal/Core/Entity/KeyValueStore/Query/Query.php Defines the entity query for entities stored in a key value backend.

All search results

Title Object type File name Summary
QueryPluginBase::setOffset function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set an OFFSET on the query, specifying a number of results to skip.
QueryPluginBase::setupTimezone function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Set the database to the current user timezone.
QueryPluginBase::setWhereGroup function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Create a new grouping for the WHERE or HAVING clause.
QueryPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Handle any special handling on the validate form.
QueryPluginBase::summaryTitle function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Returns the summary of the settings in the display.
QueryPluginBase::validateOptionsForm function core/modules/views/src/Plugin/views/query/QueryPluginBase.php Validate the options form.
QueryTest class core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests query plugins.
QueryTest class core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Defines a query test plugin.
QueryTest class core/modules/views_ui/tests/src/Functional/QueryTest.php Tests query plugins.
QueryTest class core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests Drupal's extended prepared statement syntax.
QueryTest class core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php Tests Drupal\Core\Entity\Query\Sql\Query.
QueryTest.php file core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php
QueryTest.php file core/modules/views/tests/src/Kernel/Plugin/QueryTest.php
QueryTest.php file core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest.php file core/modules/views_ui/tests/src/Functional/QueryTest.php
QueryTest.php file core/tests/Drupal/KernelTests/Core/Database/QueryTest.php
QueryTest::$allItems property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php An array of stdClasses.
QueryTest::$conditions property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php The conditions to apply to the query.
QueryTest::$defaultTheme property core/modules/views_ui/tests/src/Functional/QueryTest.php The theme to install as the default for testing.
QueryTest::$fields property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php The list of fields.
QueryTest::$orderBy property core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php The field to order and the direction.
QueryTest::$query property core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php The query object.
QueryTest::$testViews property core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Views used by this test.
QueryTest::$testViews property core/modules/views_ui/tests/src/Functional/QueryTest.php Views used by this test.
QueryTest::addField function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Adds a new field to a table.
QueryTest::addOrderBy function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Adds an ORDER BY clause to the query.
QueryTest::addWhere function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Adds a simple WHERE clause to the query.
QueryTest::build function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Implements Drupal\views\Plugin\views\query\QueryPluginBase::build().
QueryTest::buildOptionsForm function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Provide a form to edit options for this plugin.
QueryTest::calculateDependencies function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Calculates dependencies for the configured plugin.
QueryTest::defineOptions function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Information about options for all kinds of purposes will be held here.
QueryTest::ensureTable function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Ensures a table exists in the queue.
QueryTest::execute function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Executes query and fills associated view object with according values.
QueryTest::match function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Check a single condition for a single element.
QueryTest::queryMethodsTests function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests methods provided by the QueryPluginBase.
QueryTest::setAllItems function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Sets the allItems property.
QueryTest::setFieldTimezoneOffset function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Applies a timezone offset to the given field.
QueryTest::setUp function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php
QueryTest::testArrayArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via database query array arguments.
QueryTest::testArraySubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can pass an array of values directly in the query.
QueryTest::testConditionOperatorArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via condition operator.
QueryTest::testNoBaseTable function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php Tests entity query for entity type without base table.
QueryTest::testNoRevisionTable function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php Tests revision entity query for entity type without revision table.
QueryTest::testNumericExpressionSubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests numeric query parameter expansion in expressions.
QueryTest::testQuery function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests query plugins.
QueryTest::testQueryUI function core/modules/views_ui/tests/src/Functional/QueryTest.php Tests query plugins settings.
QueryTest::testQuotingIdentifiers function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests quoting identifiers in queries.
QueryTest::testScalarSubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can not pass a scalar value when an array is expected.
QueryTest::viewsData function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Provides Views metadata for the test data table.
QueryTest::viewsData function core/modules/views_ui/tests/src/Functional/QueryTest.php Returns the views data definition.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.